Genesis API 文档

接入所需的一切:认证、限额、接口和响应结构。

文档Coin Search

Coin Search

TrialStartProMax

完整的币种档案:各网络的合约、各交易所的价格和状态、资金费率。

GEThttps://api.genesisarbitrage.com/v1/coins/search?query={ticker}
在线试用
GET/v1/coins/search?query=TON

密钥仅保存在你的浏览器中,除 API 外不会发送到任何地方。

粘贴你的密钥并发送请求——我们会显示截断后的响应。

查询参数

所有参数均为可选:不带筛选条件时,接口返回完整数据集。

参数类型说明
querystring币种代码(必填)

请求示例

bash
curl "https://api.genesisarbitrage.com/v1/coins/search?query=TON" \
  -H "X-API-Key: gns_live_XXXXXXXXXXXXXXXX"

响应示例

此处显示 data 数组的一个元素(真实数据):

json
{
  "coin": "IRYS",
  "contracts": [
    {
      "address": "0x91152b4ef635403efbae860edd0f8c321d7c035d",
      "network": "BNB Smart Chain(BEP20)",
      "exchanges": ["MEXC", "Ourbit"]
    }
  ],
  "exchanges": {
    "MEXC": {
      "spot_price": 0.01329,
      "futures_price": 0.0133,
      "deposit": true,
      "withdraw": true,
      "network": "BNB Smart Chain(BEP20)",
      "spot_url": "https://www.mexc.com/exchange/IRYS_USDT",
      "futures_url": "https://futures.mexc.com/exchange/IRYS_USDT"
    }
  },
  "funding": {
    "spread_pct": 0.0,
    "best": { "exchange_1": "Bitget", "exchange_2": "OKX", "funding_1_pct": 0.01, "funding_2_pct": 0.0 }
  }
}

响应字段

字段类型说明
coinstring币种代码
contracts[]array币种合约:地址、网络和使用它的交易所
exchanges{}object各交易所的币种价格和状态
exchanges{}.spot_price / futures_pricenumber | null现货 / 合约价格(null——无市场)
exchanges{}.deposit / withdrawboolean | null充币和提币是否开放
exchanges{}.spot_url / futures_urlstring | null交易终端链接
fundingobject | null币种资金费率摘要(无合约时为 null)